import { useDashboardPage } from '@/business/dashboard/hooks';
import type { DashboardProps } from '@/business/dashboard/types';
import { DashboardView } from '@/components/dashboard/DashboardView';

const Dashboard = (props: DashboardProps) => {
  const page = useDashboardPage(props);

  return <DashboardView page={page} />;
};

export default Dashboard;
